Status

Differences between revisions 30 and 39 (spanning 9 versions)
Revision 30 as of 2011-11-24 07:44:16
Size: 1922
Editor: cjwatson
Comment:
Revision 39 as of 2012-06-19 16:33:41
Size: 886
Editor: timg-tpi
Comment:
Deletions are marked like this. Additions are marked like this.
Line 5: Line 5:
This is a scratchpad for known showstopper issues in current Ubuntu desktop and server daily builds. This doesn't mean problems we would refuse to release Ubuntu with; this means problems that prevent anyone using the daily builds and which force the +1 maintenance team and/or the developer responsible for the breakage to make fixing this their number one task. This will amount to something like:

 * build fails
 * principal metapackages (ubuntu-minimal, ubuntu-standard, ubuntu-desktop) uninstallable
 * automated tests can't run (and not a test bug)
 * can't get to a desktop or run the server

|| '''Date''' || '''Status''' ||
|| 2011-11-24 ||<#FF0000> Live filesystem builds failed due to python-zeitgeist stuck in NEW; processed, will rebuild once available ||
|| 2011-11-23 ||<#00FF00> No known showstoppers ||
|| 2011-11-22 || Colin was on holiday and didn't check, but apparently OK ||
|| 2011-11-21 ||<#00FF00> No known showstoppers ||
|| 2011-11-20 ||<#00FF00> No known showstoppers ||
|| 2011-11-19 ||<#00FF00> No known showstoppers ||
|| 2011-11-18 ||<#00FF00> No known showstoppers ||
|| 2011-11-17 ||<#00FF00> No known showstoppers ||
|| 2011-11-16 ||<#00FF00> No known showstoppers ||
|| 2011-11-15 ||<#00FF00> No known showstoppers ||
|| 2011-11-14 ||<#00FF00> No known showstoppers ||
Our [[https://jenkins.qa.ubuntu.com/view/Precise/|Jenkins instance]] provides automatic smoketesting of desktop and alternate builds in various standard scenarios and shows the image status.
Line 29: Line 11:
 * sshfs uninstallable, breaking ltsp-client (correct fix is to merge fuse; cjwatson part-way through this)
 * ia32-libs on amd64 uninstallable, blocking wine1.3 and dssi-vst for ubuntustudio. Seems a germinate problem with traversing multiarch dependency chains
Line 32: Line 12:

== Known issues ==

glew - NBS packages depending on libglew1.6/libglewmx1.6 should now depend on the meta package libglew and libglewmx. However, some glew internal interfaces have changed which prevent updating libnux-2.0 from libglew1.6 to libglew. Looks like it requires a developer.

== In progress ==
 * [apw] subversion test suite fixing in progress

+1 Maintenance Status

Daily build status

Our Jenkins instance provides automatic smoketesting of desktop and alternate builds in various standard scenarios and shows the image status.

Other

Other things the +1 maintenance team is working on or tracking. Please don't add things to this list unless you're on the team.

  • The Perl 5.14 transition is still in progress, although 97% complete and should block very few upgrades at this point.

Known issues

glew - NBS packages depending on libglew1.6/libglewmx1.6 should now depend on the meta package libglew and libglewmx. However, some glew internal interfaces have changed which prevent updating libnux-2.0 from libglew1.6 to libglew. Looks like it requires a developer.

In progress

  • [apw] subversion test suite fixing in progress

PlusOneMaintenanceTeam/Status (last edited 2012-06-19 16:33:41 by timg-tpi)